Referenced layers (embedded layers) do not maintain visibility state

2011-07-19 09:26 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14079

Description

When embedding/referencing groups or layers from other projects, their visibility state is not maintained when saving and reloading the

project.

In some cases it may be desirable to reference a group but set it to invisible. Currently, the root of the referenced group shows the correct

visibility state, but all childs are always visible after a reload.

Associated revisions

Revision b49da36c - 2015-01-13 02:55 PM - Jürgen Fischer

    -  Save and restore visiblity state of embedded group layers (fixes #4097)

    -  Adds support for lists in custom properties

History

#1 - 2011-07-20 05:08 AM - Andreas Neumann

- Assignee set to Marco Hugentobler

#2 - 2011-07-21 01:14 AM - Marco Hugentobler

commit:d02c4bef94be82dca4a4 considers visibility for embedded groups and their sublayers.

For single embedded layers, the implementation needs more thinking because the visibility is not stored in the layer element itself.

#3 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-16 06:28 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-01-13 05:59 AM - Jürgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"b49da36c7fee9b25606ad60da42a4ce05f0e0578".
